View Issue Details

IDProjectCategoryView StatusLast Update
0003999GNUnetcadet servicepublic2018-06-07 00:24
ReporterFlorian DoldAssigned ToBart Polot 
PriorityhighSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003999: Assertion failed at gnunet-service-cadet_tunnel.c:2043
DescriptionSee summary.
Steps To Reproduce./gnunet-consensus-profiler -c test_consensus.conf -n 5 -x 500 -k 4
Additional Information#0 0x00007ff33e51e5f8 in raise () from /usr/lib/libc.so.6
No symbol table info available.
#1 0x00007ff33e51fa7a in abort () from /usr/lib/libc.so.6
No symbol table info available.
#2 0x00007ff340870991 in GNUNET_abort_ () at common_logging.c:290
No locals.
#3 0x00000000004094dc in send_prebuilt_message (message=0x7fff372d2890, t=0x23dc490, c=0x23deb30, force=0, cont=0x41fac9 <ch_message_sent>,
    cont_cls=0x23f98d0, existing_q=0x0) at gnunet-service-cadet_tunnel.c:2043
        msg = 0x7fff372d2570
        otr_msg = 0x48
        ax_msg = 0x7fff372d2570
        tq = 0x23ddc80
        size = 16
        max_overhead = 196
        cbuf = <error reading variable cbuf (frame address is not available.)>
        esize = 16
        mid = 2
        iv = 0
        type = 260
        fwd = 1
        __FUNCTION__ = "send_prebuilt_message"
#4 0x0000000000411c02 in GCT_send_prebuilt_message (message=0x7fff372d2890, t=0x23dc490, c=0x0, force=0, cont=0x41fac9 <ch_message_sent>,
    cont_cls=0x23f98d0) at gnunet-service-cadet_tunnel.c:4360
No locals.
#5 0x0000000000425d7a in GCCH_send_prebuilt_message (message=0x7fff372d2890, ch=0x23ea040, fwd=1, existing_copy=0x0)
    at gnunet-service-cadet_channel.c:2475
        chq = 0x23f98d0
        data_id = 2
        type = 260
        size = 16
        info = "{UNK: 586}", '\000' <repeats 19 times>
        __FUNCTION__ = "GCCH_send_prebuilt_message"
#6 0x0000000000423860 in GCCH_handle_local_data (ch=0x23ea040, c=0x23d7b00, fwd=1, message=0x23f0cd8, size=4)
    at gnunet-service-cadet_channel.c:1789
        rel = 0x23eb7c0
        payload = 0x7fff372d2890
        p2p_size = 16
        cbuf = <error reading variable cbuf (frame address is not available.)>
        buffer = 0 '\000'
        __FUNCTION__ = "GCCH_handle_local_data"
#7 0x0000000000427fd0 in handle_data (cls=0x0, client=0x23c78d0, message=0x23f0cd0) at gnunet-service-cadet_local.c:572
        payload = 0x23f0cd8
        msg = 0x23f0cd0
        c = 0x23d7b00
        ch = 0x23ea040
        chid = 2147483651
        message_size = 12
        payload_size = 4
        payload_claimed_size = 4
        fwd = 1
        __FUNCTION__ = "handle_data"
#8 0x00007ff3408b237d in GNUNET_SERVER_inject (server=0x23ca740, sender=0x23c78d0, message=0x23f0cd0) at server.c:997
        pos = 0x23caaf0
        mh = 0x642148 <client_handlers+72>
        i = 3
        type = 285
        size = 12
        found = 0
        __FUNCTION__ = "GNUNET_SERVER_inject"
#9 0x00007ff3408b3050 in client_message_tokenizer_callback (cls=0x23ca740, client=0x23c78d0, message=0x23f0cd0) at server.c:1256
        server = 0x23ca740
        sender = 0x23c78d0
        ret = 1082863696
        __FUNCTION__ = "client_message_tokenizer_callback"
#10 0x00007ff3408b551a in GNUNET_SERVER_mst_receive (mst=0x23c7fa0, client_identity=0x23c78d0, buf=0x0, size=0, purge=0, one_shot=-1)
    at server_mst.c:221
        hdr = 0x23f0cd0
        delta = 37519264
        want = 12
        ibuf = 0x23f0cd0 ""
        need_align = 1
        offset = 16
        ret = 1
        __FUNCTION__ = "GNUNET_SERVER_mst_receive"
#11 0x00007ff3408b2666 in process_mst (client=0x23c78d0, ret=0) at server.c:1073
        __FUNCTION__ = "process_mst"
#12 0x00007ff3408b2d10 in process_incoming (cls=0x23c78d0, buf=0x7fff372d2c00, available=28, addr=0x23c81e0, addrlen=2, errCode=0)
    at server.c:1191
        client = 0x23c78d0
        server = 0x23ca740
        end = {abs_value_us = 18446744073709551615}
        now = {abs_value_us = 1444245494566998}
        ret = 0
        __FUNCTION__ = "process_incoming"
#13 0x00007ff34087a264 in receive_ready (cls=0x23c77f0, tc=0x7fff372e2c80) at connection.c:1156
        connection = 0x23c77f0
        buffer = <error reading variable buffer (frame address is not available.)>
        ret = 28
        receiver = 0x7ff3408b27ff <process_incoming>
        __FUNCTION__ = "receive_ready"
#14 0x00007ff3408ad968 in run_ready (rs=0x23ca010, ws=0x23ca0a0) at scheduler.c:587
        p = GNUNET_SCHEDULER_PRIORITY_DEFAULT
        pos = 0x23c6b00
        tc = {reason = (GNUNET_SCHEDULER_REASON_READ_READY | GNUNET_SCHEDULER_REASON_PREREQ_DONE), read_ready = 0x23ca010,
          write_ready = 0x23ca0a0}
        __FUNCTION__ = "run_ready"
#15 0x00007ff3408ae27a in GNUNET_SCHEDULER_run (task=0x7ff3408bad6a <service_task>, task_cls=0x7fff372e3010) at scheduler.c:868
        rs = 0x23ca010
        ws = 0x23ca0a0
        timeout = {rel_value_us = 0}
        ret = 2
        shc_int = 0x23ca130
        shc_term = 0x23ca1f0
        shc_quit = 0x23ca370
        shc_hup = 0x23ca430
        shc_pipe = 0x23ca2b0
        last_tr = 2909
        busy_wait_warning = 0
        pr = 0x23cbdc0
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#16 0x00007ff3408bcab6 in GNUNET_SERVICE_run (argc=3, argv=0x7fff372e32a8, service_name=0x43c642 "cadet", options=GNUNET_SERVICE_OPTION_NONE,
    task=0x43562d <run>, task_cls=0x0) at service.c:1503
        err = 0
        ret = 3
        cfg_fn = 0x23c37c0 "~/.config/gnunet.conf"
        opt_cfg_fn = 0x23c3910 "/tmp/testbedEgV8hk/1/config"
        loglev = 0x0
        logfile = 0x0
        do_daemonize = 0
        i = 4412973
        skew_offset = 140734119162528
        skew_variance = 4208592
        clock_offset = 140734119162536
        sctx = {cfg = 0x23c37e0, server = 0x23ca740, addrs = 0x0, service_name = 0x43c642 "cadet", task = 0x43562d <run>, task_cls = 0x0,
          v4_denied = 0x0, v6_denied = 0x0, v4_allowed = 0x23c38a0, v6_allowed = 0x23c9e20, my_handlers = 0x23cd150, addrlens = 0x0,
          lsocks = 0x23d9600, shutdown_task = 0x23ca7d0, timeout = {rel_value_us = 18446744073709551615}, ret = 1, ready_confirm_fd = -1,
          require_found = 1, match_uid = 1, match_gid = 1, options = GNUNET_SERVICE_OPTION_NONE}
        cfg = 0x23c37e0
        xdg = 0x0
        service_options = {{shortName = 99 'c', name = 0x7ff3408cd1ad "config", argumentHelp = 0x7ff3408cd1b4 "FILENAME",
            description = 0x7ff3408cd1c0 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7ff34089a98b <GNUNET_GETOPT_set_string>, scls = 0x7fff372e30c8}, {shortName = 100 'd',
            name = 0x7ff3408cd1e0 "daemonize", argumentHelp = 0x0, description = 0x7ff3408cd1f0 "do daemonize (detach from terminal)",
            require_argument = 0, processor = 0x7ff34089a95e <GNUNET_GETOPT_set_one>, scls = 0x7fff372e30b4}, {shortName = 104 'h',
            name = 0x7ff3408cd214 "help", argumentHelp = 0x0, description = 0x7ff3408cd219 "print this help", require_argument = 0,
            processor = 0x7ff34089a429 <GNUNET_GETOPT_format_help_>, scls = 0x0}, {shortName = 76 'L', name = 0x7ff3408cd229 "log",
            argumentHelp = 0x7ff3408cd22d "LOGLEVEL", description = 0x7ff3408cd238 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7ff34089a98b <GNUNET_GETOPT_set_string>, scls = 0x7fff372e30c0}, {shortName = 108 'l',
            name = 0x7ff3408cd25a "logfile", argumentHelp = 0x7ff3408cd262 "LOGFILE",
            description = 0x7ff3408cd270 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7ff34089a98b <GNUNET_GETOPT_set_string>, scls = 0x7fff372e30b8}, {shortName = 118 'v',
            name = 0x7ff3408cd29b "version", argumentHelp = 0x0, description = 0x7ff3408cd2a3 "print the version number",
            require_argument = 0, processor = 0x7ff34089a3e3 <GNUNET_GETOPT_print_version_>, scls = 0x7ff3408cd2bc}, {shortName = 0 '\000',
            name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0, processor = 0x0, scls = 0x0}}
        __FUNCTION__ = "GNUNET_SERVICE_run"
#17 0x000000000043599d in main (argc=3, argv=0x7fff372e32a8) at gnunet-service-cadet.c:174
        r = 0
TagsNo tags attached.

Activities

Bart Polot

2015-10-13 14:54

manager   ~0009720

Fixed in r36502: cadet always forces local traffic, over-queueing the connection if necessary.

Issue History

Date Modified Username Field Change
2015-10-07 21:49 Florian Dold New Issue
2015-10-07 21:49 Florian Dold Status new => assigned
2015-10-07 21:49 Florian Dold Assigned To => Bart Polot
2015-10-13 11:52 Bart Polot Target Version => 0.11.0pre66
2015-10-13 14:54 Bart Polot Note Added: 0009720
2015-10-13 14:54 Bart Polot Status assigned => resolved
2015-10-13 14:54 Bart Polot Fixed in Version => 0.11.0pre66
2015-10-13 14:54 Bart Polot Resolution open => fixed
2018-06-07 00:24 Christian Grothoff Status resolved => closed